< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package mongo
  Definition Classes
    hmrc
-  package lock
  Definition Classes
    mongo
- Lock
- LockRepository
- MongoLockRepository
- MongoLockService

c

uk.gov.hmrc.mongo.lock

# MongoLockRepository 

###

#### class MongoLockRepository extends PlayMongoRepository[Lock] with LockRepository

Annotations
  @Singleton()

Linear Supertypes
LockRepository, PlayMongoRepository[Lock], MongoDatabaseCollection, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. MongoLockRepository
2. LockRepository
3. PlayMongoRepository
4. MongoDatabaseCollection
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new MongoLockRepository(mongoComponent: MongoComponent, timestampSupport: TimestampSupport)(implicit ec: ExecutionContext)
   Annotations
     @Inject()

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def attemptLockWithRefreshExpiry[T](lockId: String, owner: String, ttl: Duration, body: ⇒ Future[T])(implicit ec: ExecutionContext): Future[Option[T]]
   Definition Classes
     LockRepository
6.  def attemptLockWithRelease[T](lockId: String, owner: String, ttl: Duration, body: ⇒ Future[T])(implicit ec: ExecutionContext): Future[Option[T]]
   Definition Classes
     LockRepository
7.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native()
8.  val collection: MongoCollection[Lock]
   Definition Classes
     PlayMongoRepository
9.  val collectionName: String
   Definition Classes
     PlayMongoRepository → MongoDatabaseCollection
10.  val domainFormat: Format[Lock]
    Definition Classes
      PlayMongoRepository
11.  def ensureIndexes: Future[Seq[String]]
    Definition Classes
      PlayMongoRepository
12.  def ensureSchema: Future[Unit]
    Definition Classes
      PlayMongoRepository
13.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
15.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
16.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
17.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
18.  val indexes: Seq[IndexModel]
    Definition Classes
      PlayMongoRepository → MongoDatabaseCollection
19.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
20.  def isLocked(lockId: String, owner: String): Future[Boolean]
    Definition Classes
      MongoLockRepository → LockRepository
21.  def lock(lockId: String, owner: String, ttl: Duration): Future[Boolean]
    Definition Classes
      MongoLockRepository → LockRepository
22.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
23.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
24.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
25.  val optSchema: Option[BsonDocument]
    Definition Classes
      PlayMongoRepository
26.  def refreshExpiry(lockId: String, owner: String, ttl: Duration): Future[Boolean]
    Definition Classes
      MongoLockRepository → LockRepository
27.  def releaseLock(lockId: String, owner: String): Future[Unit]
    Definition Classes
      MongoLockRepository → LockRepository
28.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
29.  def toString(): String
    Definition Classes
      AnyRef → Any
30.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
31.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
32.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()

### Inherited from LockRepository

### Inherited from PlayMongoRepository[Lock]

### Inherited from MongoDatabaseCollection

### Inherited from AnyRef

### Inherited from Any

### Ungrouped